ONVIF::Device::Elements::SetHostnameFromDHCPResponse(3)

NAME
ONVIF::Device::Elements::SetHostnameFromDHCPResponse

DESCRIPTION
Perl data type class for the XML Schema defined element SetHostnameFromDHCPResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   RebootNeeded

     $element->set_RebootNeeded($data);
     $element->get_RebootNeeded();

METHODS

  new
 my $element = ONVIF::Device::Elements::SetHostnameFromDHCPResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   RebootNeeded =>  $some_value, # boolean
 },

AUTHOR
Generated by SOAP::WSDL